Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class compound_policy_t

# type compound_policy_t

source code

       object --+
                |
    call_policy_t --+
                    |
                   compound_policy_t

Known Subclasses:
  - convert_array_to_tuple_t
  - , return_argument_t
  - , return_internal_reference_t
  - , return_value_policy_t
  - , with_custodian_and_ward_t

base class for all call policies, except the default one

Instance Methods

__init__(self, base=None) | source code

__str__(self) | source code

Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_default`, `is_predefined`

Properties
| base_policy base call policy, by default is reference to default_call_policies_t call policy
Inherited from `call_policy_t`: `header_file`

Method Details

### __init__(self, base=None)
(Constructor)

source code

Overrides: call_policy_t.__init__

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

Property Details

### base_policy

base call policy, by default is reference to default_call_policies_t call policy

Get Method:
  _get_base_policy(self)
Set Method:
  _set_base_policy(self, new_policy)